#
# Ubuntu PractiTest Community results processor
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import testtools

from ubuntu_pt_community.pages import reports


class ReportHelpersTestCase(testtools.TestCase):

    def test_get_only_testcases_returns_only_testcases(self):
        testdict = dict(
            result_map=dict(
                testcase1=True,
                testcase2=True,
                resourcedetails1=False,
            ),
            resource_map=dict(resourcedetails1=False)
        )

        results = reports._get_only_testcases(testdict)
        self.assertDictEqual(results, dict(testcase1=True, testcase2=True))
